0

Hi guys. How would I go about installing the gnome desktop on my mac? I've got X11 running and all, but can't see to get it to work. Would someone care to give me some instructions on how to do this?

3
Contributors
6
Replies
7
Views
10 Years
Discussion Span
Last Post by hezekiahb
0

Thanks. I'm going to give that a try. In all my glory I've screwed up X11 by editing some files, so I have to reinstall that from my tiger disc tomorrow.

Let you know if i have any more questions ;)

thanks

0

Whatever you do, once X11 is working, don't use Fink/DarwinPorts to install an alternate X manager. It'll completely screw up X11, and that's far better than XFree86 or the others you can install using Fink or DarwinPorts.

0

Still haven't reinstalled x11, but I tried to install kde. Got an error. Here it is:
Error: Target com.apple.fetch returned: fetch failed
Error: The following dependencies failed to build: kdebase3 kdelibs3 hicolor-icon-theme jasper jpeg libart_lgpl libidn libpng libxml2 libxslt lua readline openexr pcre qt3 tiff unsermake coreutils libusb kdenetwork3 openslp kdepim3 gpgme gnupg libgpg-error pth kdeaccessibility3 kdeutils3 gmp
Error: Status 1 encountered during processing.

Any ideas?

0

Perhaps it's got something to do with X11 not being installed properly. In any case, I suggest you try to get some form of X11 working first (such as X.org, or XFree86) before attempting to install a window manager or anything drastic.

And of course, you should post the entire error message, rather than just the trailing summary (we need to know what actually went wrong). You often need to play around with the order of installing things and tweaking Fink's external files to resolve compilation issues.

0

Still haven't reinstalled x11, but I tried to install kde. Got an error. Here it is:
Error: Target com.apple.fetch returned: fetch failed
Error: The following dependencies failed to build: kdebase3 kdelibs3 hicolor-icon-theme jasper jpeg libart_lgpl libidn libpng libxml2 libxslt lua readline openexr pcre qt3 tiff unsermake coreutils libusb kdenetwork3 openslp kdepim3 gpgme gnupg libgpg-error pth kdeaccessibility3 kdeutils3 gmp
Error: Status 1 encountered during processing.

Any ideas?

I get the Error Status 1 with gnome as well but kde installed just fine for me. I would say definately re-install x11 & you may even consider installing it from a package installer like Pacifist so that it forces an install instead of an upgrade. You can download the latest version of x11 from Apple & I'd suggest that instead.

I'll have to try out the alternative, I'll let you know if it works.

This topic has been dead for over six months. Start a new discussion instead.
Have something to contribute to this discussion? Please be thoughtful, detailed and courteous, and be sure to adhere to our posting rules.